MetacatUI - Task #6078

Feature # 5957 (Closed): Design and implement graphical look and feel for default skin

Include Metacat documentation using the #external view
09/06/2013 10:17 AM - ben leinfelder

Status: Closed Start date: 09/06/2013
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.1.0 Spent time: 0.00 hour
Description

This will generally be pulled from:

/<context>/docs

like:

http:/knb.ecoinformatics.org/m/#external//knb/docs

Will require some CSS additions to metacatui.css for the Sphinx-generated documentation pages. And, it also sees like not all the
internal anchors are working as they should (contrast that with the EML documentation that uses this same #external mechanism:
http:/knb.ecoinformatics.org/m/#external//emlparser/docs/index.html

Related issues:
Related to Metacat - Feature #6075: Modify Metacat admin documentation so tha... Closed 09/06/2013

History

#1 - 09/12/2013 02:55 PM - Lauren Walker

- Status changed from New to In Progress

#2 - 09/13/2013 02:20 PM - Lauren Walker
- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Each MetacatU| theme CSS file now has styling specifically for the documentation, by selecting elements only in the wrapper div of the docs created
by Sphinx. Images are loaded in by changing the src value via ExternalView.js.

04/10/2024 1/1



http://knb.ecoinformatics.org/m/#external//knb/docs
http://knb.ecoinformatics.org/m/#external//emlparser/docs/index.html
http://www.tcpdf.org

